#ifndef CASSINIDATADOWNLOADER_H
#define CASSINIDATADOWNLOADER_H

#include <QWidget>
#include <QDate>
#include <expxmldownloader.h>

namespace Ui {
class CassiniDataDownloader;
}

class CassiniDataDownloader : public QWidget
{
    Q_OBJECT

public:
    explicit CassiniDataDownloader(QWidget *parent = 0);
    ~CassiniDataDownloader();

protected:
    void changeEvent(QEvent *e);
private slots:
    void downloadData(const QDate & date );
    void loadXmlFile();
private:
    Ui::CassiniDataDownloader *ui;
    ExpXmlDownLoader* m_xmlLoader;
};

#endif // CASSINIDATADOWNLOADER_H
